package body MSHTML.IHTMLStyle_Object is

   procedure Put_fontFamily
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_fontFamily,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_fontFamily;

   function Get_fontFamily
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_fontFamily);
   end Get_fontFamily;

   procedure Put_fontStyle
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_fontStyle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_fontStyle;

   function Get_fontStyle
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_fontStyle);
   end Get_fontStyle;

   procedure Put_fontVariant
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_fontVariant,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_fontVariant;

   function Get_fontVariant
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_fontVariant);
   end Get_fontVariant;

   procedure Put_fontWeight
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_fontWeight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_fontWeight;

   function Get_fontWeight
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_fontWeight);
   end Get_fontWeight;

   procedure Put_fontSize
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_fontSize,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_fontSize;

   function Get_fontSize
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_fontSize);
   end Get_fontSize;

   procedure Put_font
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_font,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_font;

   function Get_font
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_font);
   end Get_font;

   procedure Put_color
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_color,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_color;

   function Get_color
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_color);
   end Get_color;

   procedure Put_background
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_background,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_background;

   function Get_background
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_background);
   end Get_background;

   procedure Put_backgroundColor
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_backgroundColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_backgroundColor;

   function Get_backgroundColor
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_backgroundColor);
   end Get_backgroundColor;

   procedure Put_backgroundImage
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_backgroundImage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_backgroundImage;

   function Get_backgroundImage
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_backgroundImage);
   end Get_backgroundImage;

   procedure Put_backgroundRepeat
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_backgroundRepeat,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_backgroundRepeat;

   function Get_backgroundRepeat
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_backgroundRepeat);
   end Get_backgroundRepeat;

   procedure Put_backgroundAttachment
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_backgroundAttachment,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_backgroundAttachment;

   function Get_backgroundAttachment
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_backgroundAttachment);
   end Get_backgroundAttachment;

   procedure Put_backgroundPosition
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_backgroundPosition,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_backgroundPosition;

   function Get_backgroundPosition
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_backgroundPosition);
   end Get_backgroundPosition;

   procedure Put_backgroundPositionX
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_backgroundPositionX,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_backgroundPositionX;

   function Get_backgroundPositionX
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_backgroundPositionX);
   end Get_backgroundPositionX;

   procedure Put_backgroundPositionY
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_backgroundPositionY,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_backgroundPositionY;

   function Get_backgroundPositionY
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_backgroundPositionY);
   end Get_backgroundPositionY;

   procedure Put_wordSpacing
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_wordSpacing,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_wordSpacing;

   function Get_wordSpacing
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_wordSpacing);
   end Get_wordSpacing;

   procedure Put_letterSpacing
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_letterSpacing,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_letterSpacing;

   function Get_letterSpacing
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_letterSpacing);
   end Get_letterSpacing;

   procedure Put_textDecoration
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textDecoration,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textDecoration;

   function Get_textDecoration
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textDecoration);
   end Get_textDecoration;

   procedure Put_textDecorationNone
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textDecorationNone,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textDecorationNone;

   function Get_textDecorationNone
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textDecorationNone);
   end Get_textDecorationNone;

   procedure Put_textDecorationUnderline
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textDecorationUnderline,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textDecorationUnderline;

   function Get_textDecorationUnderline
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textDecorationUnderline);
   end Get_textDecorationUnderline;

   procedure Put_textDecorationOverline
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textDecorationOverline,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textDecorationOverline;

   function Get_textDecorationOverline
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textDecorationOverline);
   end Get_textDecorationOverline;

   procedure Put_textDecorationLineThrough
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textDecorationLineThrough,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textDecorationLineThrough;

   function Get_textDecorationLineThrough
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textDecorationLineThrough);
   end Get_textDecorationLineThrough;

   procedure Put_textDecorationBlink
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textDecorationBlink,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textDecorationBlink;

   function Get_textDecorationBlink
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textDecorationBlink);
   end Get_textDecorationBlink;

   procedure Put_verticalAlign
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_verticalAlign,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_verticalAlign;

   function Get_verticalAlign
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_verticalAlign);
   end Get_verticalAlign;

   procedure Put_textTransform
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textTransform,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textTransform;

   function Get_textTransform
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textTransform);
   end Get_textTransform;

   procedure Put_textAlign
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textAlign,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textAlign;

   function Get_textAlign
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textAlign);
   end Get_textAlign;

   procedure Put_textIndent
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_textIndent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textIndent;

   function Get_textIndent
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_textIndent);
   end Get_textIndent;

   procedure Put_lineHeight
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_lineHeight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_lineHeight;

   function Get_lineHeight
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_lineHeight);
   end Get_lineHeight;

   procedure Put_marginTop
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_marginTop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_marginTop;

   function Get_marginTop
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_marginTop);
   end Get_marginTop;

   procedure Put_marginRight
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_marginRight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_marginRight;

   function Get_marginRight
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_marginRight);
   end Get_marginRight;

   procedure Put_marginBottom
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_marginBottom,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_marginBottom;

   function Get_marginBottom
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_marginBottom);
   end Get_marginBottom;

   procedure Put_marginLeft
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_marginLeft,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_marginLeft;

   function Get_marginLeft
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_marginLeft);
   end Get_marginLeft;

   procedure Put_margin
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_margin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_margin;

   function Get_margin
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_margin);
   end Get_margin;

   procedure Put_paddingTop
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_paddingTop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_paddingTop;

   function Get_paddingTop
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_paddingTop);
   end Get_paddingTop;

   procedure Put_paddingRight
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_paddingRight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_paddingRight;

   function Get_paddingRight
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_paddingRight);
   end Get_paddingRight;

   procedure Put_paddingBottom
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_paddingBottom,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_paddingBottom;

   function Get_paddingBottom
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_paddingBottom);
   end Get_paddingBottom;

   procedure Put_paddingLeft
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_paddingLeft,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_paddingLeft;

   function Get_paddingLeft
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_paddingLeft);
   end Get_paddingLeft;

   procedure Put_padding
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_padding,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_padding;

   function Get_padding
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_padding);
   end Get_padding;

   procedure Put_border
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_border,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_border;

   function Get_border
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_border);
   end Get_border;

   procedure Put_borderTop
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderTop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderTop;

   function Get_borderTop
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderTop);
   end Get_borderTop;

   procedure Put_borderRight
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderRight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderRight;

   function Get_borderRight
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderRight);
   end Get_borderRight;

   procedure Put_borderBottom
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderBottom,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderBottom;

   function Get_borderBottom
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderBottom);
   end Get_borderBottom;

   procedure Put_borderLeft
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderLeft,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderLeft;

   function Get_borderLeft
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderLeft);
   end Get_borderLeft;

   procedure Put_borderColor
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderColor;

   function Get_borderColor
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderColor);
   end Get_borderColor;

   procedure Put_borderTopColor
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderTopColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderTopColor;

   function Get_borderTopColor
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderTopColor);
   end Get_borderTopColor;

   procedure Put_borderRightColor
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderRightColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderRightColor;

   function Get_borderRightColor
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderRightColor);
   end Get_borderRightColor;

   procedure Put_borderBottomColor
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderBottomColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderBottomColor;

   function Get_borderBottomColor
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderBottomColor);
   end Get_borderBottomColor;

   procedure Put_borderLeftColor
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderLeftColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderLeftColor;

   function Get_borderLeftColor
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderLeftColor);
   end Get_borderLeftColor;

   procedure Put_borderWidth
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderWidth;

   function Get_borderWidth
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderWidth);
   end Get_borderWidth;

   procedure Put_borderTopWidth
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderTopWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderTopWidth;

   function Get_borderTopWidth
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderTopWidth);
   end Get_borderTopWidth;

   procedure Put_borderRightWidth
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderRightWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderRightWidth;

   function Get_borderRightWidth
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderRightWidth);
   end Get_borderRightWidth;

   procedure Put_borderBottomWidth
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderBottomWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderBottomWidth;

   function Get_borderBottomWidth
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderBottomWidth);
   end Get_borderBottomWidth;

   procedure Put_borderLeftWidth
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderLeftWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderLeftWidth;

   function Get_borderLeftWidth
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderLeftWidth);
   end Get_borderLeftWidth;

   procedure Put_borderStyle
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderStyle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderStyle;

   function Get_borderStyle
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderStyle);
   end Get_borderStyle;

   procedure Put_borderTopStyle
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderTopStyle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderTopStyle;

   function Get_borderTopStyle
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderTopStyle);
   end Get_borderTopStyle;

   procedure Put_borderRightStyle
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderRightStyle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderRightStyle;

   function Get_borderRightStyle
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderRightStyle);
   end Get_borderRightStyle;

   procedure Put_borderBottomStyle
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderBottomStyle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderBottomStyle;

   function Get_borderBottomStyle
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderBottomStyle);
   end Get_borderBottomStyle;

   procedure Put_borderLeftStyle
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_borderLeftStyle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderLeftStyle;

   function Get_borderLeftStyle
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_borderLeftStyle);
   end Get_borderLeftStyle;

   procedure Put_width
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_width,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_width;

   function Get_width
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_width);
   end Get_width;

   procedure Put_height
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_height,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_height;

   function Get_height
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_height);
   end Get_height;

   procedure Put_styleFloat
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_styleFloat,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_styleFloat;

   function Get_styleFloat
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_styleFloat);
   end Get_styleFloat;

   procedure Put_clear
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_clear,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_clear;

   function Get_clear
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_clear);
   end Get_clear;

   procedure Put_display
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_display,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_display;

   function Get_display
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_display);
   end Get_display;

   procedure Put_visibility
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_visibility,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_visibility;

   function Get_visibility
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_visibility);
   end Get_visibility;

   procedure Put_listStyleType
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_listStyleType,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_listStyleType;

   function Get_listStyleType
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_listStyleType);
   end Get_listStyleType;

   procedure Put_listStylePosition
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_listStylePosition,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_listStylePosition;

   function Get_listStylePosition
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_listStylePosition);
   end Get_listStylePosition;

   procedure Put_listStyleImage
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_listStyleImage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_listStyleImage;

   function Get_listStyleImage
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_listStyleImage);
   end Get_listStyleImage;

   procedure Put_listStyle
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_listStyle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_listStyle;

   function Get_listStyle
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_listStyle);
   end Get_listStyle;

   procedure Put_whiteSpace
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_whiteSpace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_whiteSpace;

   function Get_whiteSpace
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_whiteSpace);
   end Get_whiteSpace;

   procedure Put_top
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_top,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_top;

   function Get_top
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_top);
   end Get_top;

   procedure Put_left
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_left,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_left;

   function Get_left
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_left);
   end Get_left;

   function Get_position
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_position);
   end Get_position;

   procedure Put_zIndex
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_zIndex,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_zIndex;

   function Get_zIndex
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_zIndex);
   end Get_zIndex;

   procedure Put_overflow
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_overflow,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_overflow;

   function Get_overflow
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_overflow);
   end Get_overflow;

   procedure Put_pageBreakBefore
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_pageBreakBefore,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pageBreakBefore;

   function Get_pageBreakBefore
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_pageBreakBefore);
   end Get_pageBreakBefore;

   procedure Put_pageBreakAfter
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_pageBreakAfter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pageBreakAfter;

   function Get_pageBreakAfter
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_pageBreakAfter);
   end Get_pageBreakAfter;

   procedure Put_cssText
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_cssText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cssText;

   function Get_cssText
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_cssText);
   end Get_cssText;

   procedure Put_pixelTop
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_pixelTop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pixelTop;

   function Get_pixelTop
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_pixelTop);
   end Get_pixelTop;

   procedure Put_pixelLeft
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_pixelLeft,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pixelLeft;

   function Get_pixelLeft
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_pixelLeft);
   end Get_pixelLeft;

   procedure Put_pixelWidth
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_pixelWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pixelWidth;

   function Get_pixelWidth
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_pixelWidth);
   end Get_pixelWidth;

   procedure Put_pixelHeight
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_pixelHeight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pixelHeight;

   function Get_pixelHeight
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_pixelHeight);
   end Get_pixelHeight;

   procedure Put_posTop
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_posTop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_posTop;

   function Get_posTop
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_posTop);
   end Get_posTop;

   procedure Put_posLeft
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_posLeft,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_posLeft;

   function Get_posLeft
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_posLeft);
   end Get_posLeft;

   procedure Put_posWidth
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_posWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_posWidth;

   function Get_posWidth
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_posWidth);
   end Get_posWidth;

   procedure Put_posHeight
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_posHeight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_posHeight;

   function Get_posHeight
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_posHeight);
   end Get_posHeight;

   procedure Put_cursor
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_cursor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cursor;

   function Get_cursor
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_cursor);
   end Get_cursor;

   procedure Put_clip
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_clip,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_clip;

   function Get_clip
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_clip);
   end Get_clip;

   procedure Put_filter
     (This : IHTMLStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle_Put_filter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_filter;

   function Get_filter
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle_Get_filter);
   end Get_filter;

   procedure setAttribute
     (This             : IHTMLStyle_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      AttributeValue   : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
   is
   begin
      Invoke
        (This,
         IHTMLStyle_setAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lFlags,
          2 => AttributeValue,
          3 => strAttributeName),
         Free);
   end setAttribute;

   function getAttribute
     (This             : IHTMLStyle_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLStyle_getAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lFlags,
          2 => strAttributeName),
         Free);
   end getAttribute;

   function removeAttribute
     (This             : IHTMLStyle_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLStyle_removeAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lFlags,
          2 => strAttributeName),
         Free);
   end removeAttribute;

   function toString
     (This : IHTMLStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLStyle_toString);
   end toString;

end MSHTML.IHTMLStyle_Object;

